package com.ruoyi.zhdd.feign.fallback;

import com.ruoyi.zhdd.domain.bo.BacklogMessagePushBo;
import com.ruoyi.zhdd.domain.bo.BacklogMessageUpdateBo;
import com.ruoyi.zhdd.feign.FeignBacklogInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Slf4j
@Component
public class FeignBacklogInfoFallback implements FeignBacklogInfoService {

    @Override
    public Object backlogMessagePush(BacklogMessagePushBo backlogMessagePushBo) {
        log.error("待办消息发送失败");
        return null;
    }

    @Override
    public Object backlogMessageUpdate(List<BacklogMessageUpdateBo> backlogMessageUpdateBos) {
        log.error("待办消息办结失败");
        return null;
    }
}
